Subject: bug#7500: 24.0.50; doc string of `current-kill'

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Nov 2010 13:39:16 -0500

> Please split this long sentence, and make it comprehensible:
>  "If N is zero, `interprogram-paste-function' is set, and calling

The above is parsed as

   (and "if N is zero"
        "`interprogram-paste-function' is set"
        "calling ...")

since (and A B C) is usually written in (US) English "A, B, and C".
How 'bout:

 "If N is zero and `interprogram-paste-function' is set to a function
  that returns a string or list of strings, then that string (or
  list) is added to the front of the kill ring and the string (or
  first string in the list) is returned as the latest kill."

        Stefan